*, *::before, *::after { margin: 0; padding: 0; box-sizing: border-box; }
:root {
    --lime: #C8FF00; --black: #000; --white: #fff; --dark-bg: #1A1A1A;
    --card-dark: #2A2A2A; --beige: #F0EBDF; --muted: #999; --peach: #FDDCB5;
    --green-badge: #4ADE80; --pink-badge: #F472B6; --teal-badge: #2DD4BF; --orange-badge: #FB923C;
}
body { font-family: "Overused-medium"; background: var(--black); color: #fff; overflow-x: hidden; }
p {font-family: "Overused-regular"; font-weight: 400; font-size: 18px; }
a:hover {color: #000; text-decoration: none; outline: none;}
.btn-check:focus+.btn, .btn:focus {box-shadow: none;}
.section-title{text-align: center; font-family: "Radwave"; font-size: 52px; font-weight: 400; line-height: 1.1; letter-spacing: -0.05em;}
section .header {margin-bottom: 60px;}
.btn-trial { display: inline-block; background: var(--lime); color: var(--black); padding: 10px 24px; border-radius: 50px; font-size: 16px; font-weight: 500; text-decoration: none; cursor: pointer; transition: transform 0.2s; }
.btn-trial:hover { transform: translateY(-1px);}

.hero { position: relative; top: -90px; height: 700px; overflow: hidden; border-radius: 15px; margin: 0 15px;}
.hero-bg { position: absolute; inset: 0; background: url('images/hero.webp'); background-size: cover; background-position: center; background-repeat: no-repeat;}
.hero-overlay {position: absolute; inset: 0;
    background: 
        linear-gradient(to right, rgba(0,0,0,0.25) 0%, transparent 60%),
        linear-gradient(to top, rgba(0,0,0,1) 0%, rgba(0,0,0,0.4) 15%, transparent 40%); 
}
.hero-content { position: absolute; z-index: 10; max-width: 800px; padding: 0px 70px 150px; bottom: 0px;}
.hero-content h1 { font-size: 68px; font-weight: 500; line-height: 64px; letter-spacing: -0.02em; color: #fff; margin-bottom: 25px;}
.hero-content p { max-width: 400px; margin-bottom: 30px; color: #fff;}

.unified-store-section {
    background-color: #000;
    color: #fff;
    padding: 50px 30px 100px;
}
.unified-store-section .header-content {
    margin-bottom: 175px;
}
.unified-store-section .section-title {
    max-width: 930px;
    margin: 0 auto;
    margin-bottom: 20px;
}
.unified-store-section .text-secondary {
    max-width: 500px;
    color: #fff !important;
}
.feature-masonry {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    align-items: start;
}
.masonry-col:nth-child(2) {
    margin-top: -100px;
}
.feature-card-os {
    border-radius: 16px;
    padding: 32px;
    text-align: center;
    /*border: 1px solid rgba(255, 255, 255, 0.1);*/
}
.feature-card-os h3 {
    font-size: 32px;
    font-weight: 500;
    margin-bottom: 12px;
}
.feature-card-os p {
    color: #CECECE; 
    font-size: 14px;
    line-height: 16px;
    padding-bottom: 24px;
    max-width: 310px;
    margin: 0 auto;
}
.brown-card { background: linear-gradient(180deg, #2F281E 0%, #000000 100%); }
.dark-card { background: linear-gradient(180deg, #2B2F35 0%, #000000 100%); }
.blue-card { background: linear-gradient(180deg, #13262E 0%, #000000 100%); }
.teal-card { background: linear-gradient(180deg, #3C3F36 0%, #000000 100%); }
.purple-card { background: linear-gradient(180deg, #3A2A31 0%, #000000 100%); }
.grey-card { background: linear-gradient(180deg, #333332 0%, #000000 100%); }


.build-store-section {
    padding-top: 30px;
    background-color: #FFFCF3;
}
.build-store-section h2 {
    color: #000;
}
.build-store-section .h4 {
    font-family: 'Overused-regular';
    font-size: 26px;
    font-weight: 400;
    line-height: 30px;
    color: #000;
}
.btn-theme {
    font-size: 20px;
    font-weight: 500;
    margin-top: 30px;
    border: 1px solid #000;
}
.horizontal-wrapper {
    width: 100%;
    overflow: hidden;
    padding: 50px 0 100px 0;
}
.horizontal-scroll-track {
    display: flex;
    padding-left: 10vw; 
    width: fit-content;
}
.theme-card {
    flex-shrink: 0;
    width: 55vh;
    margin-right: 30px;
    border-radius: 4px;
    overflow: hidden;
}
.theme-card img {
    width: 100%;
    height: auto;
    display: block;
}


.marketplace-section {
    background-color: #000;
    color: #fff;
    padding: 100px 0;
    font-family: 'Inter', sans-serif;
}
.connectors-display {
    display: flex;
    align-items: center;
    max-width: 1000px;
    height: 500px;
    margin: 0 auto;
    overflow: hidden;
}
.connectors-display img {
    width: 100%;
    height: 100%;
    object-fit: contain; 
    display: block;
}
.pill-column {
    display: flex;
    flex-direction: column;
    gap: 70px;
}
.pill-column.left .logo-pill:nth-child(1) {
    position: relative;
    margin-top: -80px;
    right: -50px;
}
.pill-column.left .logo-pill:nth-child(2) {
    position: relative;
    left: -50px;
}
.pill-column.right .logo-pill:nth-child(1) {
    position: relative;
    margin-top: -80px;
    left: -50px;
}
.pill-column.right .logo-pill:nth-child(2) {
    position: relative;
    right: -50px;
}
.logo-pill {
    background-color: #1a1a1a;
    border: 1px solid #333;
    padding: 15px 35px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 160px;
}
.logo-pill img {
    max-height: 25px;
    filter: brightness(1);
}
.main-laptop {
    max-width: 500px;
    box-shadow: 0 0 50px rgba(196, 255, 0, 0.05);
}
.btn-lime {
    background-color: #c4ff00;
    color: #000;
    border: none;
    transition: 0.3s;
}


.launch-simple-section {
    background-color: #062b24; 
    padding: 100px 0;
    font-family: 'Inter', sans-serif;
    overflow: hidden;
}
.launch-container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 50px;
}
.launch-header h2 {
    text-align: left;
}
.launch-header p {
    margin-bottom: 30px;
}
.launch-timeline {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    max-width: 500px;
}
.timeline-card {
    background: radial-gradient(circle at 0% 0%, #3a3a3a 0%, #000000 70%);
    border-radius: 25px;
    padding: 30px;
    color: #fff;
    width: 275px;
    text-align: center;
}
.launch-timeline .timeline-card:nth-child(2) {
    background: radial-gradient(circle at 0% 0%, #514440 0%, #000000 70%);
}
.launch-timeline .timeline-card:nth-child(3) {
    background: radial-gradient(circle at 0% 0%, #515040 0%, #000000 70%);
}
.launch-timeline .timeline-card:nth-child(4) {
    background: radial-gradient(circle at 0% 0%, #40514E 0%, #000000 70%);
}
.time-label {
    font-family: 'Radwave';
    display: block;
    font-weight: 800;
    font-size: 16px;
    margin-bottom: 10px;
    letter-spacing: 1px;
    margin-bottom: 15px;
}
.timeline-card p {
    color: #fff;
    margin: 0;
    line-height: 21px;
    font-size: 18px;
    max-width: 190px;
    margin: 0 auto;
}
.card-morning      { align-self: flex-start; margin-left: 0; }
.card-mid-morning  { align-self: flex-start; margin-left: -80px; } 
.card-afternoon    { align-self: flex-start; margin-left: 20px; }
.card-evening      { align-self: flex-start; margin-left: 120px; }
.btn-lime {
    background-color: #c4ff00; 
    color: #000;
    border: none;
}


.review-badge-wrapper {
    position: relative;
    width: fit-content;
    padding: 1px; 
    border-radius: 100px;
    background: rgba(255, 255, 255, 0.1);
    overflow: hidden; 
    display: flex;
    align-items: center;
    justify-content: center;
    margin: -30px auto 40px;
    isolation: isolate;
}
.review-badge-wrapper::before {
    content: '';
    position: absolute;
    /* We make it significantly larger so the "light" hits the edges during rotation */
    width: 400%;
    height: 800%;
    background: conic-gradient(
        from 0deg,
        transparent 0deg,
        transparent 160deg,
        #ffffff 180deg, /* The sharp leading light */
        transparent 200deg,
        transparent 360deg
    );
    animation: rotateLight 8s linear infinite;
    z-index: -1;
}
.review-badge-inner {
    position: relative;
    background: #111111;
    border-radius: 100px;
    padding: 12px 24px;
    display: flex;
    align-items: center;
    width: 100%;
}
.review-content {
    display: flex;
    align-items: center;
    gap: 0px;
    color: #fff;
    font-family: 'Inter', sans-serif;
}
.review-content .main-text {
    font-size: 1rem;
    color: #F9F7ED;
    max-width: 250px;
}
.rating-num {
    color: #fff;
}
.main-text strong {
    font-weight: 800;
}
.google-rating {
    background: #000;
    padding: 8px 16px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    gap: 8px;
    border: 1px solid rgba(255,255,255,0.08);
    flex-shrink: 0;
}
.stars {
    display: flex;
    gap: 3px;
}
.rating-num {
    font-weight: 600;
    font-size: 1.1rem;
}
@keyframes rotateLight {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}


@media (max-width: 992px) {
    .feature-masonry { grid-template-columns: 1fr; }
}

@media (max-width: 768px) {
    .header {padding: 0px;}
    .section-title {font-size: 26px; margin-bottom: 30px;}
    .btn-trial {padding: 12px 24px;}
    .hero {top: 0px; height: 100vh; position: relative;}
    .hero-bg { background: url('images/hero-mb.webp'); background-size: cover; background-position: center; background-repeat: no-repeat;}
    .hero-content { position: absolute; padding: 0px 20px; bottom: 150px; }
    .hero-content h1 { font-size: 36px; margin-top: 0px; margin-bottom: 0px; line-height: 34px;}
    .hero-content p {line-height: 1.2; max-width: 300px; padding-top: 20px;}
    .display-4 {font-size: 26px; }
    p {line-height: 1.2 !important;}
    .h5 {font-size: 1rem; }
    .text-secondary {font-size: 12px; max-width: 330px; margin: 0 auto;}
    .mb-5 {margin-bottom: 1.6rem !important;}
    .section-heading {text-align: center;}
    .review-badge-wrapper {max-width: 90%;}
    .unified-store-section {padding: 20px 15px 50px;}
    .unified-store-section .text-secondary {max-width: 300px;}
    .unified-store-section .header-content {margin-bottom: 50px;}
    .build-store-section h2 {margin-bottom: 20px;}
    .build-store-section .h4 {font-size: 14px;}
    .masonry-col:nth-child(2) {margin-top: 0px; }
    .marketplace-section {padding: 50px 0;}
    .marketplace-section .section-title {margin-bottom: 20px !important;}
    .marketplace-section p {font-size:  14px; font-weight: 400 !important; margin-bottom: 30px !important;}
    .connectors-display {height: 250px;}
    .launch-simple-section {padding: 50px 30px;}
    .launch-header h2 {text-align: center;}
    .main-laptop {width: 200px; margin: 0 auto;}
    .logo-pill {min-width: unset; padding: 8px 16px;}
    .logo-pill img {max-height: 12px;}
    .pill-column {gap: 35px;}
    .pill-column.left .logo-pill:nth-child(1) {margin-top: -50px; right: -65px; }
    .pill-column.right .logo-pill:nth-child(1) {margin-top: -50px; left: -65px; }
    .pill-column.left .logo-pill:nth-child(2) {left: 10px;}
    .pill-column.right .logo-pill:nth-child(2) {right: 10px;}
    .pill-column.left .logo-pill:nth-child(3) {position: relative; left: 10px;}
    .pill-column.right .logo-pill:nth-child(3) {position: relative; right: 10px;}
    .marketplace-section .text-secondary {max-width: 310px !important;}
    .masonry-col { margin-bottom: 24px; }
    .launch-container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    
    .timeline-card {
        margin-left: 0 !important; /* Remove stagger on mobile */
        width: 100%;
    }
}